use new_banks;

set names cp1251;

select @min_tr:=10;
select @datbase:='2002-12-31';

drop table if exists inn_min_tr;
create table inn_min_tr(inn bigint(10), primary key(inn)) character set cp1251 MAX_ROWS=300000000;
insert into inn_min_tr  select inn from aggr_trans_2y where ((n_r+n_p)>@min_tr);

drop table if exists sp_trans_p_t;
create table sp_trans_p_t(inn_p bigint(10),n_quarter smallint,  n int,  sum double,
inn_q char(20), primary key(inn_q))
 character set cp1251 MAX_ROWS=300000000;
insert into sp_trans_p_t select inn_p,n_quarter, n, sum, concat(inn_p,'#',n_quarter) from sp_trans_p;


drop table if exists sp_trans_r_t;
create table sp_trans_r_t(n int,  sum double,
inn_q char(20),primary key(inn_q)) 
character set cp1251 MAX_ROWS=300000000;
insert into sp_trans_r_t select n, sum, concat(inn_r,'#',n_quarter) from sp_trans_r;


drop table if exists aggr_tmp0;
create table aggr_tmp0(inn_q char(20),inn bigint(10),n_quarter smallint,  
sp_n_p int not null default 0,  sp_sum_p double  not null  default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, 
primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_tmp0 select a.inn_q,a.inn_p, a.n_quarter, a.n, a.sum,
b.n, b.sum from 
sp_trans_p_t a left join (sp_trans_r_t b)
on (a.inn_q=b.inn_q) ;




drop table if exists aggr_tmp1;
create table aggr_tmp1(inn_q char(20),inn bigint(10),n_quarter smallint,  
sp_n_p int not null default 0,  sp_sum_p double not null default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0,
n_r int not null default 0,  sum_r double not null default 0, 
n_p int not null default 0,  sum_p double not null default 0, 
n_t int not null default 0,  sum_t double not null default 0, 
n_e int not null default 0,  sum_e double not null default 0, 
primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_tmp1 select c.inn_q, c.inn, c.n_quarter, 
a.sp_n_p, a.sp_sum_p, a.sp_n_r, a.sp_sum_r, n_r,sum_r,
n_p, sum_p, n_t, sum_t, n_e, sum_e from 
aggr_trans c left join (aggr_tmp0 a)
on (a.inn_q=c.inn_q) ;


drop table if exists aggr_trans_sp_cl;
create table aggr_trans_sp_cl(inn_q char(20),inn bigint(10),n_quarter smallint,  
sp_n_p int not null default 0,  sp_sum_p double not null default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, sp smallint not null default 0,
n_r int not null default 0,  sum_r double not null default 0, 
n_p int not null default 0,  sum_p double not null default 0, 
n_t int not null default 0,  sum_t double not null default 0, 
n_e int not null default 0,  sum_e double not null default 0, 
primary key(inn_q)) character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans_sp_cl select c.inn_q, c.inn, c.n_quarter, 
sp_n_p, sp_sum_p, sp_n_r, sp_sum_r, (a.inn>0), n_r,sum_r,
n_p, sum_p, n_t, sum_t, n_e, sum_e from 
aggr_tmp1 c left join (sp_inn a)
on (a.inn=c.inn) ;


drop table if exists aggr_trans_sp_cl_2y;
create table aggr_trans_sp_cl_2y(inn bigint(10), 
sp_n_p int not null default 0,  sp_sum_p double not null default 0,
sp_n_r int not null default 0,  sp_sum_r double not null default 0, sp smallint not null default 0,
n_r int not null default 0,  sum_r double not null default 0, 
n_p int not null default 0,  sum_p double not null default 0, 
n_t int not null default 0,  sum_t double not null default 0, 
n_e int not null default 0,  sum_e double not null default 0)
character set cp1251 MAX_ROWS=300000000;

insert into aggr_trans_sp_cl_2y select inn,sum(sp_n_p),sum(sp_sum_p),
sum(sp_n_r), sum(sp_sum_r),sp, sum(n_r), sum(sum_r),sum(n_p), sum(sum_p),sum(n_t), sum(sum_t)
,sum(n_e), sum(sum_e) from aggr_trans_sp_cl group by inn;

#select  b.name, a.*     
#from aggr_trans_sp_cl_2y a, agents_inn b, inn_min_tr c where (a.inn=b.inn)
#and (a.inn=c.inn) and (a.inn>100000000) and (a.inn<10000000000)
#order by sp_sum_p desc into outfile './spacemen_cl_2y.txt' fields terminated by '|' ;

#select  b.name, a.*     
#from aggr_trans_sp_cl a, agents_inn b, inn_min_tr c where (a.inn=b.inn)
#and (a.inn=c.inn) and (a.inn>100000000) and (a.inn<10000000000)
#order by sp_sum_p desc into outfile './spacemen_cl.txt' fields terminated by '|' ;

select  c.oao,ooozao,c.mgup,c.zavod, (c.bank or c.kb), c.broker, c.invest,
c.strah,c.fond,c.inostr,c.pboul,b.strange,b.gov,b.bank,
datediff(d.dat1,@datbase),datediff(d.dat2,@datbase), a.*     
from aggr_trans_sp_cl a, match_inn b,agents_3 c,age d, inn_min_tr e where 
(a.inn=e.inn) and (a.inn=b.inn) and (b.id_c=c.id) and (a.inn=d.inn)

and (a.inn>100000000) and (a.inn<9000000000) 
into outfile './spacemen_cl.txt' fields terminated by ';' ;

select  c.oao,ooozao,c.mgup,c.zavod, (c.bank or c.kb), c.broker, c.invest,
c.strah,c.fond,c.inostr,c.pboul,b.strange,b.gov,b.bank,
datediff(d.dat1,@datbase),datediff(d.dat2,@datbase), a.*     
from aggr_trans_sp_cl_2y a, match_inn b,agents_3 c,age d, inn_min_tr e where 
(a.inn=e.inn) and (a.inn=b.inn) and (b.id_c=c.id) and (a.inn=d.inn)

and (a.inn>100000000) and (a.inn<9000000000) 
order by sp_sum_p desc into outfile './spacemen_cl_2y.txt' fields terminated by ';' ;


drop table if exists aggr_tmp0;
drop table if exists aggr_tmp1;

drop table if exists sp_trans_r_t;
drop table if exists sp_trans_p_t;







